diff --git a/README.md b/README.md
index daf45a42..35db7d24 100644
--- a/README.md
+++ b/README.md
@@ -2464,7 +2464,7 @@ bash -c "$(wget -qLO - https://github.com/tteck/Proxmox/raw/main/ct/vaultwarden-
The script builds from source, which takes time and resources. After the build, the script will automatically set resources to Normal Settings.
Expect 30+ minute install time.
-
⚡ Build Settings: 2048Mib RAM - 6GB Storage - 2vCPU ⚡
+⚡ Build Settings: 3072Mib RAM - 6GB Storage - 2vCPU ⚡
⚡ Normal Settings: 512Mib RAM - 6GB Storage - 1vCPU ⚡
**Vaultwarden Interface: CTIP:8000**
diff --git a/ct/vaultwarden-v4.sh b/ct/vaultwarden-v4.sh
index 8e08604e..1e403439 100644
--- a/ct/vaultwarden-v4.sh
+++ b/ct/vaultwarden-v4.sh
@@ -3,7 +3,7 @@ echo -e "Loading..."
APP="Vaultwarden"
var_disk="6"
var_cpu="2"
-var_ram="2048"
+var_ram="3072"
var_os="debian"
var_version="11"
NSAPP=$(echo ${APP,,} | tr -d ' ')
diff --git a/setup/adguard-install.sh b/setup/adguard-install.sh
index 080e2cff..8b34a502 100644
--- a/setup/adguard-install.sh
+++ b/setup/adguard-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/blocky-install.sh b/setup/blocky-install.sh
index f632bc54..e66fbd27 100644
--- a/setup/blocky-install.sh
+++ b/setup/blocky-install.sh
@@ -58,9 +58,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/casaos-install.sh b/setup/casaos-install.sh
index 8ee90a70..4e582f0e 100644
--- a/setup/casaos-install.sh
+++ b/setup/casaos-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/daemonsync-install.sh b/setup/daemonsync-install.sh
index e3bd458d..bd9e8b13 100644
--- a/setup/daemonsync-install.sh
+++ b/setup/daemonsync-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/dashy-install.sh b/setup/dashy-install.sh
index 7485178e..0029e8a7 100644
--- a/setup/dashy-install.sh
+++ b/setup/dashy-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/debian-install.sh b/setup/debian-install.sh
index bc9f39cb..db18f9b2 100644
--- a/setup/debian-install.sh
+++ b/setup/debian-install.sh
@@ -58,9 +58,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/deconz-install.sh b/setup/deconz-install.sh
index bc6f0c0c..ee6d8795 100644
--- a/setup/deconz-install.sh
+++ b/setup/deconz-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/docker-install.sh b/setup/docker-install.sh
index c4234aed..e70dd50c 100644
--- a/setup/docker-install.sh
+++ b/setup/docker-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/emby-install.sh b/setup/emby-install.sh
index 39919c87..42373035 100644
--- a/setup/emby-install.sh
+++ b/setup/emby-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/emqx-install.sh b/setup/emqx-install.sh
index dc3e224b..6303f7b7 100644
--- a/setup/emqx-install.sh
+++ b/setup/emqx-install.sh
@@ -58,9 +58,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/esphome-install.sh b/setup/esphome-install.sh
index 8d0aab4e..625ea8b2 100644
--- a/setup/esphome-install.sh
+++ b/setup/esphome-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/grafana-install.sh b/setup/grafana-install.sh
index 6503d3f1..4b270cf6 100644
--- a/setup/grafana-install.sh
+++ b/setup/grafana-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/grocy-install.sh b/setup/grocy-install.sh
index 32ca846b..6342b1a2 100644
--- a/setup/grocy-install.sh
+++ b/setup/grocy-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/heimdalldashboard-install.sh b/setup/heimdalldashboard-install.sh
index d4b509f7..02c3a90a 100644
--- a/setup/heimdalldashboard-install.sh
+++ b/setup/heimdalldashboard-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/homeassistant-core-install.sh b/setup/homeassistant-core-install.sh
index 783ac845..6602f5ad 100644
--- a/setup/homeassistant-core-install.sh
+++ b/setup/homeassistant-core-install.sh
@@ -58,9 +58,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/homeassistant-install.sh b/setup/homeassistant-install.sh
index 35617ab0..0d0d8952 100644
--- a/setup/homeassistant-install.sh
+++ b/setup/homeassistant-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/homebridge-install.sh b/setup/homebridge-install.sh
index 033a52b5..4fad6168 100644
--- a/setup/homebridge-install.sh
+++ b/setup/homebridge-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/homepage-install.sh b/setup/homepage-install.sh
index 8adb85c9..31ff0c7a 100644
--- a/setup/homepage-install.sh
+++ b/setup/homepage-install.sh
@@ -58,9 +58,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/influxdb-install.sh b/setup/influxdb-install.sh
index ec96f9d1..e2a082fe 100644
--- a/setup/influxdb-install.sh
+++ b/setup/influxdb-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/iobroker-install.sh b/setup/iobroker-install.sh
index ab65830e..2cbe7067 100644
--- a/setup/iobroker-install.sh
+++ b/setup/iobroker-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/jellyfin-install.sh b/setup/jellyfin-install.sh
index c8d0e63d..82acbffa 100644
--- a/setup/jellyfin-install.sh
+++ b/setup/jellyfin-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/keycloak-install.sh b/setup/keycloak-install.sh
index 0c86f4fa..9397fa7a 100644
--- a/setup/keycloak-install.sh
+++ b/setup/keycloak-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/magicmirror-install.sh b/setup/magicmirror-install.sh
index 64dce914..4d3cd89f 100644
--- a/setup/magicmirror-install.sh
+++ b/setup/magicmirror-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/mariadb-install.sh b/setup/mariadb-install.sh
index 15acb821..53b8c955 100644
--- a/setup/mariadb-install.sh
+++ b/setup/mariadb-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/meshcentral-install.sh b/setup/meshcentral-install.sh
index eb2e219f..6c6b0149 100644
--- a/setup/meshcentral-install.sh
+++ b/setup/meshcentral-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/motioneye-install.sh b/setup/motioneye-install.sh
index ff8afa47..08d80adc 100644
--- a/setup/motioneye-install.sh
+++ b/setup/motioneye-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/mqtt-install.sh b/setup/mqtt-install.sh
index db9331d9..f39c7fcc 100644
--- a/setup/mqtt-install.sh
+++ b/setup/mqtt-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/n8n-install.sh b/setup/n8n-install.sh
index 322064c0..21fd5f49 100644
--- a/setup/n8n-install.sh
+++ b/setup/n8n-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/navidrome-install.sh b/setup/navidrome-install.sh
index 6a50e363..b04cdda9 100644
--- a/setup/navidrome-install.sh
+++ b/setup/navidrome-install.sh
@@ -58,9 +58,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/nextcloudpi-install.sh b/setup/nextcloudpi-install.sh
index 5d8d1555..c38cef27 100644
--- a/setup/nextcloudpi-install.sh
+++ b/setup/nextcloudpi-install.sh
@@ -58,9 +58,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/nginx-proxy-manager-install.sh b/setup/nginx-proxy-manager-install.sh
index 4861405e..37cd3c92 100644
--- a/setup/nginx-proxy-manager-install.sh
+++ b/setup/nginx-proxy-manager-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/nocodb-install.sh b/setup/nocodb-install.sh
index 57083bb8..37e2fb97 100644
--- a/setup/nocodb-install.sh
+++ b/setup/nocodb-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/node-red-install.sh b/setup/node-red-install.sh
index f9d90389..6e0843f2 100644
--- a/setup/node-red-install.sh
+++ b/setup/node-red-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/omada-install.sh b/setup/omada-install.sh
index 6c2dde53..9a3705aa 100644
--- a/setup/omada-install.sh
+++ b/setup/omada-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/omv-install.sh b/setup/omv-install.sh
index 0f553a62..073653af 100644
--- a/setup/omv-install.sh
+++ b/setup/omv-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/openhab-install.sh b/setup/openhab-install.sh
index 1dec802f..65a811d4 100644
--- a/setup/openhab-install.sh
+++ b/setup/openhab-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/paperless-ngx-install.sh b/setup/paperless-ngx-install.sh
index c1c2640b..db0a2ff6 100644
--- a/setup/paperless-ngx-install.sh
+++ b/setup/paperless-ngx-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/photoprism-install.sh b/setup/photoprism-install.sh
index e75d91b0..a2027d0e 100644
--- a/setup/photoprism-install.sh
+++ b/setup/photoprism-install.sh
@@ -60,9 +60,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/pihole-install.sh b/setup/pihole-install.sh
index 3d6a0e4d..572f70b5 100644
--- a/setup/pihole-install.sh
+++ b/setup/pihole-install.sh
@@ -60,9 +60,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/plex-install.sh b/setup/plex-install.sh
index 3d8a1cb0..a1ea5f33 100644
--- a/setup/plex-install.sh
+++ b/setup/plex-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/podman-homeassistant-install.sh b/setup/podman-homeassistant-install.sh
index 9a885507..e192c86e 100644
--- a/setup/podman-homeassistant-install.sh
+++ b/setup/podman-homeassistant-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/postgresql-install.sh b/setup/postgresql-install.sh
index 1468ce34..e4cd0a20 100644
--- a/setup/postgresql-install.sh
+++ b/setup/postgresql-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/prometheus-install.sh b/setup/prometheus-install.sh
index 378a8ab5..f9b176d0 100644
--- a/setup/prometheus-install.sh
+++ b/setup/prometheus-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/syncthing-install.sh b/setup/syncthing-install.sh
index a9d942bc..ced965d4 100644
--- a/setup/syncthing-install.sh
+++ b/setup/syncthing-install.sh
@@ -58,9 +58,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/technitiumdns-install.sh b/setup/technitiumdns-install.sh
index 907c7e2f..887ad747 100644
--- a/setup/technitiumdns-install.sh
+++ b/setup/technitiumdns-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/trilium-install.sh b/setup/trilium-install.sh
index 8b259725..9478d2f4 100644
--- a/setup/trilium-install.sh
+++ b/setup/trilium-install.sh
@@ -58,9 +58,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/ubuntu-install.sh b/setup/ubuntu-install.sh
index 4abacf6d..4ee2e1ea 100644
--- a/setup/ubuntu-install.sh
+++ b/setup/ubuntu-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/umbrel-install.sh b/setup/umbrel-install.sh
index bd6c5a7b..5c8138f6 100644
--- a/setup/umbrel-install.sh
+++ b/setup/umbrel-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/unifi-install.sh b/setup/unifi-install.sh
index 49ebf87d..2c0a32c4 100644
--- a/setup/unifi-install.sh
+++ b/setup/unifi-install.sh
@@ -60,9 +60,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/uptimekuma-install.sh b/setup/uptimekuma-install.sh
index f8663bfc..7777f05a 100644
--- a/setup/uptimekuma-install.sh
+++ b/setup/uptimekuma-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/vaultwarden-install.sh b/setup/vaultwarden-install.sh
index 2f9e90c7..d3afc43f 100644
--- a/setup/vaultwarden-install.sh
+++ b/setup/vaultwarden-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/whoogle-install.sh b/setup/whoogle-install.sh
index 0a653770..ef22a09a 100644
--- a/setup/whoogle-install.sh
+++ b/setup/whoogle-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/wikijs-install.sh b/setup/wikijs-install.sh
index db684221..0b54cd7f 100644
--- a/setup/wikijs-install.sh
+++ b/setup/wikijs-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/wireguard-install.sh b/setup/wireguard-install.sh
index f9af0201..ed1aab09 100644
--- a/setup/wireguard-install.sh
+++ b/setup/wireguard-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
OPTIONS_PATH='/options.conf'
cat >$OPTIONS_PATH <<'EOF'
diff --git a/setup/zigbee2mqtt-install.sh b/setup/zigbee2mqtt-install.sh
index a7fe1668..538e109f 100644
--- a/setup/zigbee2mqtt-install.sh
+++ b/setup/zigbee2mqtt-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null
diff --git a/setup/zwave-js-ui-install.sh b/setup/zwave-js-ui-install.sh
index 15da4574..c0137e07 100644
--- a/setup/zwave-js-ui-install.sh
+++ b/setup/zwave-js-ui-install.sh
@@ -59,9 +59,13 @@ done
msg_ok "Set up Container OS"
msg_ok "Network Connected: ${BL}$(hostname -I)"
+set +e
+alias die=''
if nc -zw1 8.8.8.8 443; then msg_ok "Internet Connected"; else msg_error "Internet NOT Connected"; exit 1; fi;
RESOLVEDIP=$(nslookup "github.com" | awk -F':' '/^Address: / { matched = 1 } matched { print $2}' | xargs)
if [[ -z "$RESOLVEDIP" ]]; then msg_error "DNS Lookup Failure"; else msg_ok "DNS Resolved github.com to $RESOLVEDIP"; fi;
+alias die='EXIT=$? LINE=$LINENO error_exit'
+set -e
msg_info "Updating Container OS"
apt-get update &>/dev/null